%define pkg_name        POE-Component-Client-MPD
%define pkg_version     0.8.0
%define rpm_pkg_version 0.8.0
%define rpm_pkg_release 1.n0i.2

Summary:       POE component to speak with MPD servers
Name:          perl-%{pkg_name}
Version:       %{rpm_pkg_version}
Release:       %{rpm_pkg_release}%{?cpan_version}%{?dist}

Group:         Development/Libraries
License:       GPL+ or Artistic
URL:           http://search.cpan.org/dist/%{pkg_name}/
Source0:       http://www.cpan.org/authors/id/J/JQ/JQUELIN/%{pkg_name}-%{pkg_version}.tar.gz

BuildArch:     noarch
BuildRoot:     %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires: reb00t-rpmdevtools
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Audio::MPD::Common)
BuildRequires: perl(Class::Accessor)
BuildRequires: perl(List::MoreUtils)
BuildRequires: perl(POE)
BuildRequires: perl(Readonly)


%description
POCOCM gives a clear message-passing interface (sitting on top of POE) for
talking to and controlling MPD (Music Player Daemon) servers. A connection to
the MPD server is established as soon as a new POCOCM object is created.


%prep
%setup -q -n %{pkg_name}-%{pkg_version}
%{fix_mod}


%build
%{perl_build}
%{!?_without_test:%{__make} test}


%install
%{__rm} -rf $RPM_BUILD_ROOT
%{perl_install}


%clean
%{__rm} -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%{perl_files}
%doc Changes DESIGN LICENSE README TODO


%changelog
* Sat Sep 22 2007 Marius Feraru <altblue@n0i.net> - 0.8.0-1.n0i.2
- version 0.8.0

* Wed Jun 13 2007 Marius Feraru <altblue@n0i.net> - 0.7.1-1.n0i.1
- spec file (re)created using N0i::CPAN::RPMizer/1.14.9
- version 0.7.1
